Bug 171378 - New port: x11-wm/herbstluftwm Manual tiling window manager
New port: x11-wm/herbstluftwm Manual tiling window manager
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alexey Dokuchaev
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 14:10 UTC by christian.brassat
Modified: 2013-01-30 06:40 UTC (History)
0 users

See Also:


Attachments
herbstluftwm.shar (5.32 KB, text/plain)
2012-09-06 14:10 UTC, christian.brassat
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description christian.brassat 2012-09-06 14:10:04 UTC
	herbstluftwm is a manual tiling window manager for X11 using Xlib and Glib
Comment 1 Alexey Dokuchaev freebsd_committer 2013-01-29 15:18:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->danfe

I'll handle it.
Comment 2 dfilter freebsd_committer 2013-01-30 06:31:54 UTC
Author: danfe
Date: Wed Jan 30 06:31:40 2013
New Revision: 311201
URL: http://svnweb.freebsd.org/changeset/ports/311201

Log:
  Add herbstluftwm, a manual tiling window manager for X11 using Xlib and Glib.
  
  PR:		ports/171378
  Submitted by:	Christian Brassat

Added:
  head/x11-wm/herbstluftwm/
  head/x11-wm/herbstluftwm/Makefile   (contents, props changed)
  head/x11-wm/herbstluftwm/distinfo   (contents, props changed)
  head/x11-wm/herbstluftwm/pkg-descr   (contents, props changed)
  head/x11-wm/herbstluftwm/pkg-plist   (contents, props changed)
Modified:
  head/x11-wm/Makefile

Modified: head/x11-wm/Makefile
==============================================================================
--- head/x11-wm/Makefile	Wed Jan 30 06:30:12 2013	(r311200)
+++ head/x11-wm/Makefile	Wed Jan 30 06:31:40 2013	(r311201)
@@ -103,6 +103,7 @@
     SUBDIR += genmenu
     SUBDIR += golem
     SUBDIR += hackedbox
+    SUBDIR += herbstluftwm
     SUBDIR += hs-xmonad
     SUBDIR += hs-xmonad-contrib
     SUBDIR += i3

Added: head/x11-wm/herbstluftwm/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/herbstluftwm/Makefile	Wed Jan 30 06:31:40 2013	(r311201)
@@ -0,0 +1,61 @@
+# $FreeBSD$
+
+PORTNAME=	herbstluftwm
+PORTVERSION=	0.5.1
+CATEGORIES=	x11-wm
+MASTER_SITES=	http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/tarballs/
+
+MAINTAINER=	crshd@mail.com
+COMMENT=	Manual tiling window manager for X11
+
+LICENSE=	BSD
+
+RUN_DEPENDS=	bash:${PORTSDIR}/shells/bash
+
+USE_GMAKE=	yes
+USE_XORG=	x11 xinerama
+USE_GNOME=	glib20
+
+MAKE_ARGS=	PREFIX=${PREFIX} SYSCONFDIR=${PREFIX}/etc \
+		DOCSDIR=${DOCSDIR} EXAMPLESDIR=${EXAMPLESDIR} \
+		MANDIR=${PREFIX}/man
+
+MAN1=		herbstclient.1 herbstluftwm.1
+MAN7=		herbstluftwm-tutorial.7
+
+OPTIONS_DEFINE=	BASH ZSH DOCS EXAMPLES
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MBASH}
+PLIST_SUB+=	BASH=""
+.else
+PLIST_SUB+=	BASH="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MZSH}
+PLIST_SUB+=	ZSH=""
+.else
+PLIST_SUB+=	ZSH="@comment "
+.endif
+
+post-patch:
+	${REINPLACE_CMD} -e '/-[LI]\/usr/s,usr,${LOCALBASE},' \
+		${WRKSRC}/config.mk
+	${REINPLACE_CMD} -e '/LICENSEDIR/d' ${WRKSRC}/Makefile
+	${GREP} -Rl --null '^#!/bin/bash' ${WRKSRC} | ${XARGS} -0 \
+		${REINPLACE_CMD} -e 's,/bin/bash,/usr/bin/env bash,'
+.if ! ${PORT_OPTIONS:MBASH}
+	${REINPLACE_CMD} -e '/BASHCOMPLETIONDIR/d' ${WRKSRC}/Makefile
+.endif
+.if ! ${PORT_OPTIONS:MZSH}
+	${REINPLACE_CMD} -e '/ZSHCOMPLETIONDIR/d' ${WRKSRC}/Makefile
+.endif
+.if ! ${PORT_OPTIONS:MDOCS}
+	${REINPLACE_CMD} -e '/DOCDIR/d' ${WRKSRC}/Makefile
+.endif
+.if ! ${PORT_OPTIONS:MEXAMPLES}
+	${REINPLACE_CMD} -e '/EXAMPLESDIR/d' ${WRKSRC}/Makefile
+.endif
+
+.include <bsd.port.mk>

Added: head/x11-wm/herbstluftwm/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/herbstluftwm/distinfo	Wed Jan 30 06:31:40 2013	(r311201)
@@ -0,0 +1,2 @@
+SHA256 (herbstluftwm-0.5.1.tar.gz) = d42c78ab06414839b65e660e91ee93f0397fc13ab76f697519ef343abc323e1f
+SIZE (herbstluftwm-0.5.1.tar.gz) = 168282

Added: head/x11-wm/herbstluftwm/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/herbstluftwm/pkg-descr	Wed Jan 30 06:31:40 2013	(r311201)
@@ -0,0 +1,17 @@
+herbstluftwm is a manual tiling window manager for X11 using Xlib and Glib.
+Its main features can be described with:
+
+  - The layout is based on splitting frames into subframes which can be
+    split again or can be filled with windows (similar to i3 or musca)
+
+  - Tags (or workspaces, or virtual desktops) can be added/removed at
+    runtime.  Each tag contains an own layout
+
+  - Exactly one tag is viewed on each monitor.  The tags are monitor
+    independent (similar to xmonad)
+
+  - It is configured at runtime via IPC calls from herbstclient.  So the
+    configuration file is just a script which is run on startup.  (Similar
+    to wmii or musca)
+
+WWW: http://wwwcip.cs.fau.de/~re06huxa/herbstluftwm/

Added: head/x11-wm/herbstluftwm/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/herbstluftwm/pkg-plist	Wed Jan 30 06:31:40 2013	(r311201)
@@ -0,0 +1,35 @@
+bin/herbstclient
+bin/herbstluftwm
+etc/xdg/herbstluftwm/autostart
+etc/xdg/herbstluftwm/panel.sh
+etc/xdg/herbstluftwm/restartpanels.sh
+%%BASH%%etc/bash_completion.d/herbstclient-completion
+%%BASH%%@dirrmtry etc/bash_completion.d
+%%PORTDOCS%%%%DOCSDIR%%/BUGS
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/herbstclient.html
+%%PORTDOCS%%%%DOCSDIR%%/herbstluftwm.html
+%%PORTDOCS%%%%DOCSDIR%%/herbstluftwm-tutorial.html
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/README
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/dmenu.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/dumpbeautify.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/exec_on_tag.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/execwith.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/herbstcommander.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/keychain.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/layout.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/lasttag.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/loadstate.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/q3terminal.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/savestate.sh
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/wselect.sh
+share/xsessions/herbstluftwm.desktop
+@dirrmtry share/xsessions
+%%ZSH%%share/zsh/functions/Completion/X/_herbstclient
+%%ZSH%%@dirrmtry share/zsh/functions/Completion/X
+%%ZSH%%@dirrmtry share/zsh/functions/Completion
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm etc/xdg/herbstluftwm
+@dirrmtry etc/xdg
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Alexey Dokuchaev freebsd_committer 2013-01-30 06:32:45 UTC
State Changed
From-To: open->closed

Committed with modifications, thanks!